<!--
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation; either version 2 of the License, or
##    (at your option) any later version.
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->


  <tr><td bgcolor="#3F5070" align="center"><b>

       <b class="headline">H E L P</b>

  </b></td></tr>

  </td><td bgcolor="#001F3F" valign="top">

This help file explains the configuration and admin system of PowerBook 1.20. The administration of the entries should be self-explaining, however.<br><br>

<b>ADMINS</b><br>
First of all, you must know your adminname and password to do anything in here. If you log in and allow a cookie to be set on your computer, you don't have to enter your name and password every time you do something - but the login is not required. However, if you forgot your password, it can be sent to you by clicking on "You can login here" in the upper menu and then on "Forgot password?" on the following page.<br><br>

If you want to administrate the PowerBook admins, just click on "Admins" in the upper menu. You will see a list with all current admins, one of them is the SuperAdmin. He can neither be deleted, nor can his authorizations be restricted in any way. Furthermore you cannot edit your own authorizations or delete yourself.<br><br>

If you are allowed to edit and add admins, you can do so by using the forms. Please note that you can only edit one admin at a time. After adding, deleting or editing an admin, an email will be sent to the email address of the admin you just added, deleted or edited. When adding an admin, his password is generated automatically.<br><br>

There are basically four authorizations for each admin: "PowerBook Configuration" allows the admin to edit the current configuration of the script. "Administrate Admins" gives the admin the right to edit other admins, however he can also edit himself if he doesn't have this authorization. "Release Entries" allows the admin to make unreleased entries visible in the entries list, while he is unable to hide them again. "Administrate Entries" is probably the thing any admin may do: Edit and delete guestbook entries and write statements.<br><br><br>

<b>CONFIGURATION</b><br>
<b>Send eMail:</b> Every time a new entry is added to the database, an email will be sent to the address specified below.<br><br>

<b>Language:</b> At first a multilanguage support was planned, but due to some problems this feature wasn't implemented. You can download a German version of the script over at <a href="http://www.powerscripts.org" target="_blank">www.powerscripts.org</a>, which replaces all PowerBook files with a German version (no new installation required). If you want to translate the script into another language, just edit the texts in all files and email <a href="mailto:expandable@powerscripts.org">Expandable</a>. If your translation seems to be good, it'll be officially added to PowerScripts's download section.<br><br>

<b>Guestbook-URL:</b> Enter the name of the external PowerBook file here (the file where the guestbook.inc.php is included). It is imperative that this value as well as the <b>Admin-URL</b> is correct!<br><br>

<b>Block IP:</b> To prevent spamming, you can enter an amount of seconds here. During this time, no other entry by an author with the same IP can be written (the user will get an error message). Too low a number might not be enough to prevent spamming, too high a number isn't a good idea as well (the user might want to add something in a second entry, or if you even block an IP for months there might be another user with the same IP address who actually hasn't written an entry yet).<br><br>

<b>Release:</b> If you want to read all entries before they appear on the list, be sure to set this to "No". Now every entry has to be released by an admin, otherwise the visitors won't see it.<br><br>

<b>Text Format Functions</b> (possibility to write bold, italic, etc.), <b>Icons</b> (some sort of smilie which shows the basic mood of the author), <b>Smilies</b> (some expressions are replaced with graphical smilies), <b>ICQ</b> (shows author's ICQ number and an ICQ field in the add form) and <b>Statement</b> (shows admin's statement below an entry) can be turned on or off.<br><br>

<b>Date</b> and <b>Time</b> can be configured to use your favorite format. Click the "Help" link to learn more about PHP's date parsing code.<br><br>

<b>Color</b> and <b>Show Entries</b> should be self-explaining, I guess.<br><br>

<b>Pages:</b> If the amount of entries in the database is larger than the number you specified above, the entry list will be split into different sites. Here you can chose what the navigation menu should be like. "Leave through the pages" means that there are four links shown: First Page, Next Page, Previous Page and Last Page. "Display each page number" does what it says ;o)<br><br>

<b>Entry-Design:</b> This might easily be the most important thing for you. The (HTML) code you enter here specifies the design of each entry (be aware that PHP code is not working here!). You must use the code explained at the left where you want the database item to be shown (e.g. (#TEXT#) will be replaced with the entry text stored in the database, and so on).<br><br>

<b>"Thank You"-Message:</b> If that option is enabled, every writer of an entry will recieve an email with the following title and message. The message uses the same replacement system as the entry design.